<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk+" version="3.24"/>
  <requires lib="libhandy" version="1.0"/>
  <template class="CuiDemoWindow" parent="HdyApplicationWindow">
    <property name="title" translatable="yes">Call-UI Demo</property>
    <property name="default_width">800</property>
    <property name="default_height">576</property>
    <signal name="key-press-event" handler="key_pressed_cb" after="yes" swapped="no"/>
    <child>
      <object class="HdyLeaflet" id="content_box">
        <property name="visible">True</property>
        <property name="can-swipe-back">True</property>
        <property name="width-request">360</property>
        <child>
          <object class="GtkBox">
            <property name="visible">True</property>
            <property name="orientation">vertical</property>
            <child>
              <object class="GtkRevealer" id="header_revealer">
                <property name="visible">True</property>
                <property name="transition-type">slide-down</property>
                <property name="reveal-child">True</property>
                <child>
                  <object class="HdyHeaderBar" id="header_bar">
                    <property name="visible">True</property>
                    <property name="title" translatable="yes">Call-UI Demo</property>
                    <property name="show_close_button" bind-source="content_box" bind-property="folded"/>
                    <child>
                      <object class="GtkButton">
                        <property name="visible">True</property>
                        <signal name="clicked" handler="theme_variant_button_clicked_cb" swapped="yes"/>
                        <child>
                          <object class="GtkImage" id="theme_variant_image">
                            <property name="visible">True</property>
                          </object>
                        </child>
                      </object>
                    </child>
                  </object>
                </child>
              </object>
            </child>
            <child>
              <object class="GtkStackSidebar" id="sidebar">
                <property name="width_request">270</property>
                <property name="visible">True</property>
                <property name="vexpand">True</property>
                <property name="stack">stack</property>
              </object>
            </child>
          </object>
          <packing>
            <property name="name">sidebar</property>
          </packing>
        </child>
        <child>
          <object class="GtkBox">
            <property name="visible">True</property>
            <property name="orientation">vertical</property>
            <child>
              <object class="GtkRevealer">
                <property name="visible">True</property>
                <property name="transition-type" bind-source="header_revealer" bind-property="transition-type" bind-flags="bidirectional|sync-create"/>
                <property name="reveal-child" bind-source="header_revealer" bind-property="reveal-child" bind-flags="bidirectional|sync-create"/>
                <child>
                  <object class="HdyWindowHandle" id="header_separator">
                    <property name="visible">True</property>
                    <child>
                      <object class="GtkSeparator">
                        <property name="visible">True</property>
                        <property name="orientation">vertical</property>
                        <style>
                          <class name="sidebar"/>
                        </style>
                      </object>
                    </child>
                  </object>
                </child>
              </object>
            </child>
            <child>
              <object class="GtkSeparator">
                <property name="visible">True</property>
                <property name="orientation">vertical</property>
                <property name="vexpand">True</property>
                <style>
                  <class name="sidebar"/>
                </style>
              </object>
            </child>
          </object>
          <packing>
            <property name="navigatable">False</property>
          </packing>
        </child>
        <child>
          <object class="GtkBox" id="right_box">
            <property name="visible">True</property>
            <property name="orientation">vertical</property>
            <child>
              <object class="GtkRevealer">
                <property name="visible">True</property>
                <property name="transition-type" bind-source="header_revealer" bind-property="transition-type" bind-flags="bidirectional|sync-create"/>
                <property name="reveal-child" bind-source="header_revealer" bind-property="reveal-child" bind-flags="bidirectional|sync-create"/>
                <child>
                  <object class="GtkStack" id="header_stack">
                    <property name="visible">True</property>
                    <property name="vexpand">False</property>
                    <property name="transition-type" bind-source="stack" bind-property="transition-type" bind-flags="sync-create"/>
                    <child>
                      <object class="HdyHeaderBar" id="default_header_bar">
                        <property name="visible">True</property>
                        <property name="expand">True</property>
                        <property name="show_close_button">True</property>
                        <child>
                          <object class="GtkButton" id="back">
                            <property name="valign">center</property>
                            <property name="use-underline">True</property>
                            <property name="visible" bind-source="content_box" bind-property="folded" bind-flags="sync-create"/>
                            <signal name="clicked" handler="back_clicked_cb" swapped="yes"/>
                            <style>
                              <class name="image-button"/>
                            </style>
                            <child internal-child="accessible">
                              <object class="AtkObject" id="a11y-back">
                                <property name="accessible-name" translatable="yes">Back</property>
                              </object>
                            </child>
                            <child>
                              <object class="GtkImage" id="back_image">
                                <property name="visible">True</property>
                                <property name="icon_name">go-previous-symbolic</property>
                                <property name="icon_size">1</property>
                              </object>
                            </child>
                          </object>
                        </child>
                        <child>
                          <object class="GtkButton" id="incoming_call">
                            <property name="valign">center</property>
                            <property name="use-underline">True</property>
                            <property name="visible">True</property>
                            <signal name="clicked" handler="on_new_call_clicked" swapped="no"/>
                            <style>
                              <class name="image-button"/>
                            </style>
                            <child>
                              <object class="GtkImage">
                                <property name="visible">True</property>
                                <property name="icon_name">call-arrow-incoming-symbolic</property>
                                <property name="icon_size">1</property>
                              </object>
                            </child>
                          </object>
                        </child>
                        <child>
                          <object class="GtkButton" id="outgoing_call">
                            <property name="valign">center</property>
                            <property name="use-underline">True</property>
                            <property name="visible">True</property>
                            <signal name="clicked" handler="on_new_call_clicked" swapped="no"/>
                            <style>
                              <class name="image-button"/>
                            </style>
                            <child>
                              <object class="GtkImage">
                                <property name="visible">True</property>
                                <property name="icon_name">call-arrow-outgoing-symbolic</property>
                                <property name="icon_size">1</property>
                              </object>
                            </child>
                          </object>
                        </child>
                      </object>
                      <packing>
                        <property name="name">default</property>
                      </packing>
                    </child>
                  </object>
                </child>
              </object>
            </child>
            <child>
              <object class="GtkStack" id="stack">
                <property name="visible">True</property>
                <property name="vhomogeneous">False</property>
                <signal name="notify::visible-child" handler="on_visible_child_changed" after="yes" swapped="no"/>
                <child>
                  <object class="HdyStatusPage">
                    <property name="visible">True</property>
                    <property name="icon-name">call-ui-symbolic</property>
                    <property name="title" translatable="yes">Welcome to Call-UI Demo</property>
                    <property name="description" translatable="yes">This is a tour of the features the library has to offer.</property>
                  </object>
                  <packing>
                    <property name="name">welcome</property>
                    <property name="title" translatable="yes">Welcome</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkBox" id="accept_call_box">
                    <property name="visible">True</property>
                    <property name="orientation">vertical</property>
                    <child>
                      <object class="CuiCallDisplay" id="call_display">
                        <property name="visible">True</property>
                      </object>
                    </child>
                  </object>
                  <packing>
                    <property name="name">accept-call</property>
                    <property name="title" translatable="yes">Call Display</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkBox" id="dialpad_box">
                    <property name="visible">True</property>
                    <property name="can-focus">False</property>
                    <property name="orientation">vertical</property>
                    <child>
                      <object class="HdyStatusPage">
                        <property name="visible">True</property>
                        <property name="can-focus">False</property>
                        <property name="icon-name">input-dialpad-symbolic</property>
                        <property name="title" translatable="yes">Dial Pad</property>
                        <property name="description" translatable="yes">A simple dial pad to enter phone numbers.</property>
                        <child>
                          <object class="CuiDialpad" id="dialpad">
                            <signal name="dialed" handler="on_dial" swapped="yes"/>
                            <property name="visible">True</property>
                          </object>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">True</property>
                        <property name="position">0</property>
                      </packing>
                    </child>
                  </object>
                  <packing>
                    <property name="name">dialpad</property>
                    <property name="title" translatable="yes">Dial Pad</property>
                    <property name="position">2</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkBox" id="keypad_box">
                    <property name="visible">True</property>
                    <property name="can-focus">False</property>
                    <property name="orientation">vertical</property>
                    <child>
                      <object class="HdyStatusPage">
                        <property name="visible">True</property>
                        <property name="can-focus">False</property>
                        <property name="icon-name">input-dialpad-symbolic</property>
                        <property name="title" translatable="yes">Keypad</property>
                        <property name="description" translatable="yes">A number keypad.</property>
                        <child>
                          <object class="HdyClamp">
                            <property name="visible">True</property>
                            <property name="can-focus">False</property>
                            <property name="maximum-size">300</property>
                            <property name="tightening-threshold">300</property>
                            <child>
                              <object class="GtkBox" id="box_keypad">
                                <property name="visible">True</property>
                                <property name="can-focus">False</property>
                                <property name="valign">center</property>
                                <property name="hexpand">True</property>
                                <property name="orientation">vertical</property>
                                <property name="spacing">12</property>
                                <child>
                                  <object class="GtkListBox" id="keypad_listbox">
                                    <property name="visible">True</property>
                                    <property name="can-focus">False</property>
                                    <property name="selection-mode">none</property>
                                    <child>
                                      <object class="HdyActionRow">
                                        <property name="visible">True</property>
                                        <property name="can-focus">True</property>
                                        <property name="title" translatable="yes">Show letters</property>
                                        <property name="activatable-widget">keypad_letters_visible</property>
                                        <child>
                                          <object class="GtkSwitch" id="keypad_letters_visible">
                                            <property name="visible">True</property>
                                            <property name="can-focus">True</property>
                                            <property name="valign">center</property>
                                          </object>
                                        </child>
                                      </object>
                                    </child>
                                    <child>
                                      <object class="HdyActionRow">
                                        <property name="visible">True</property>
                                        <property name="can-focus">True</property>
                                        <property name="title" translatable="yes">Show symbols</property>
                                        <property name="activatable-widget">keypad_symbols_visible</property>
                                        <child>
                                          <object class="GtkSwitch" id="keypad_symbols_visible">
                                            <property name="visible">True</property>
                                            <property name="can-focus">True</property>
                                            <property name="valign">center</property>
                                          </object>
                                        </child>
                                      </object>
                                    </child>
                                    <style>
                                      <class name="content"/>
                                    </style>
                                  </object>
                                  <packing>
                                    <property name="expand">False</property>
                                    <property name="fill">True</property>
                                    <property name="position">0</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkEntry" id="entry_keypad">
                                    <property name="visible">True</property>
                                    <property name="can-focus">True</property>
                                  </object>
                                  <packing>
                                    <property name="expand">False</property>
                                    <property name="fill">True</property>
                                    <property name="position">1</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="CuiKeypad" id="keypad">
                                    <property name="visible">True</property>
                                    <property name="can-focus">False</property>
                                    <property name="halign">center</property>
                                    <property name="symbols-visible" bind-source="keypad_symbols_visible" bind-property="state" bind-flags="sync-create | bidirectional"/>
                                    <property name="letters-visible" bind-source="keypad_letters_visible" bind-property="state" bind-flags="sync-create | bidirectional"/>
                                    <property name="entry">entry_keypad</property>
                                  </object>
                                  <packing>
                                    <property name="expand">False</property>
                                    <property name="fill">True</property>
                                    <property name="pack-type">end</property>
                                    <property name="position">1</property>
                                  </packing>
                                </child>
                              </object>
                            </child>
                          </object>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">True</property>
                        <property name="position">0</property>
                      </packing>
                    </child>
                  </object>
                  <packing>
                    <property name="name">keypad</property>
                    <property name="title" translatable="yes">Key pad</property>
                    <property name="position">3</property>
                  </packing>
                </child>
              </object>
            </child>
          </object>
          <packing>
            <property name="name">content</property>
          </packing>
        </child>
      </object>
    </child>
  </template>
  <object class="GtkSizeGroup">
    <property name="mode">vertical</property>
    <widgets>
      <widget name="header_bar"/>
      <widget name="header_separator"/>
      <widget name="header_stack"/>
    </widgets>
  </object>
</interface>
